Ray Milkey | 3aa8af5 | 2018-03-09 09:10:08 -0800 | [diff] [blame^] | 1 | #!/bin/bash |
2 | |||||
3 | # exit on errors | ||||
4 | set -eu -o pipefail | ||||
5 | |||||
6 | # initialize build environment | ||||
7 | ONOS_ROOT=`pwd` | ||||
8 | . tools/build/envDefaults | ||||
9 | |||||
10 | # initialize development environment for STC | ||||
11 | . tools/dev/bash_profile | ||||
12 | |||||
13 | |||||
14 | # always free the cell when exiting | ||||
15 | function cleanup { | ||||
16 | cell return | ||||
17 | } | ||||
18 | |||||
19 | trap cleanup EXIT | ||||
20 | |||||
21 | # grab a cell to run on | ||||
22 | cell borrow | ||||
23 | |||||
24 | # build onos bits | ||||
25 | onos-buck build onos | ||||
26 | |||||
27 | # set up STC parameters | ||||
28 | topo default | ||||
29 | export stcDumpLogs=true | ||||
30 | export stcColor="false" | ||||
31 | export stcHaltOnError=true | ||||
32 | export TERM=vt100 | ||||
33 | |||||
34 | # run STC | ||||
35 | stc |